Lucene search

K
ubuntucveUbuntu.comUB:CVE-2022-26719
HistoryMay 30, 2022 - 12:00 a.m.

CVE-2022-26719

2022-05-3000:00:00
ubuntu.com
ubuntu.com
17
memory corruption
arbitrary code execution
apple products
web content
state management
cve-2022-26719
tvos
ios
ipados
watchos
macos
safari
javascriptcore
v8
ubuntu
limited support
webkit

CVSS3

8.8

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

REQUIRED

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

EPSS

0.003

Percentile

66.3%

A memory corruption issue was addressed with improved state management.
This issue is fixed in tvOS 15.5, iOS 15.5 and iPadOS 15.5, watchOS 8.6,
macOS Monterey 12.4, Safari 15.5. Processing maliciously crafted web
content may lead to arbitrary code execution.

Notes

Author Note
jdstrand webkit receives limited support. For details, see https://wiki.ubuntu.com/SecurityTeam/FAQ#webkit webkit in Ubuntu uses the JavaScriptCore (JSC) engine, not V8
OSVersionArchitecturePackageVersionFilename
ubuntu20.04noarchwebkit2gtk< 2.36.3-0ubuntu0.20.04.1UNKNOWN
ubuntu21.10noarchwebkit2gtk< 2.36.3-0ubuntu0.21.10.1UNKNOWN
ubuntu22.04noarchwebkit2gtk< 2.36.3-0ubuntu0.22.04.1UNKNOWN
ubuntu22.10noarchwebkit2gtk< 2.36.3-1UNKNOWN
ubuntu23.04noarchwebkit2gtk< 2.36.3-1UNKNOWN
ubuntu23.10noarchwebkit2gtk< 2.36.3-1UNKNOWN
ubuntu24.04noarchwebkit2gtk< 2.36.3-1UNKNOWN

CVSS3

8.8

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

REQUIRED

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

EPSS

0.003

Percentile

66.3%